package cn.com.qmth.stmms.ms.admin.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 评卷工作总览
 * Created by zhengmin on 2016/11/21.
 */
public class WorkOverview implements Serializable{


    private static final long serialVersionUID = -5958886079362318462L;

    private String workName;

    /**
     * 考生总数
     */
    private long stuTotalCount;

    /**
     * 缺考数
     */
    private long stuAbsentCount;

    /**
     * 实考人数
     */
    private long stuUploadedCount;

    /**
     * 已上传试卷总数
     */
    private long paperCount;

    /**
     * 评卷员总人数
     */
    private long markerCount;

    /**
     * 试题总数
     */
    private long questionCount;

    private List<SubjectOverview> subjectOverviews = new ArrayList<>();

    public String getWorkName() {
        return workName;
    }

    public void setWorkName(String workName) {
        this.workName = workName;
    }

    public long getStuTotalCount() {
        return stuTotalCount;
    }

    public void setStuTotalCount(long stuTotalCount) {
        this.stuTotalCount = stuTotalCount;
    }

    public long getStuAbsentCount() {
        return stuAbsentCount;
    }

    public void setStuAbsentCount(long stuAbsentCount) {
        this.stuAbsentCount = stuAbsentCount;
    }

    public long getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(long paperCount) {
        this.paperCount = paperCount;
    }

    public long getMarkerCount() {
        return markerCount;
    }

    public void setMarkerCount(long markerCount) {
        this.markerCount = markerCount;
    }

    public long getQuestionCount() {
        return questionCount;
    }

    public void setQuestionCount(long questionCount) {
        this.questionCount = questionCount;
    }

    public List<SubjectOverview> getSubjectOverviews() {
        return subjectOverviews;
    }

    public void setSubjectOverviews(List<SubjectOverview> subjectOverviews) {
        this.subjectOverviews = subjectOverviews;
    }

    public long getStuUploadedCount() {
        return stuUploadedCount;
    }

    public void setStuUploadedCount(long stuUploadedCount) {
        this.stuUploadedCount = stuUploadedCount;
    }
}


